@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="dashboardTitle"
          class="anchor"
        >
          <ng-template #dashboardTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                @if (componentData.requirementLibrary.dashboard) {
                  <span
                    >{{ componentData.requirementLibrary.dashboard.name }}
                  </span>
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
              @if (
                componentData.requirementLibrary.dashboard ||
                componentData.requirementLibrary.statistics
              ) {
                <div
                  class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                >
                  {{
                    'sqtm-core.generic.date.prefix.generated-on'
                      | translate
                      | capitalize
                  }}
                  {{
                    componentData.requirementLibrary.generatedDashboardOn
                      | date: 'medium'
                  }}
                </div>
                <button
                  class="flex-fixed-size"
                  [attr.data-test-element-id]="'refresh-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                  (click)="refreshStats($event, componentData)"
                >
                  <span>
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:refresh"
                      nzTheme="outline"
                    ></i>
                  </span>
                </button>
              }
              @if (
                !componentData.requirementLibrary.shouldShowFavoriteDashboard
              ) {
                <button
                  class="flex-fixed-size m-l-5"
                  [attr.data-test-element-id]="'favorite-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.favorite' | translate
                  "
                  (click)="
                    displayFavoriteDashboard($event, $extendHighLvlReqScope())
                  "
                >
                  <span>
                    {{ 'sqtm-core.generic.label.favorite' | translate }}
                  </span>
                </button>
              }
              @if (
                componentData.requirementLibrary.shouldShowFavoriteDashboard
              ) {
                <button
                  [ngClass]="
                    componentData.requirementLibrary.dashboard ||
                    componentData.requirementLibrary.statistics
                      ? 'm-l-5'
                      : 'm-l-auto'
                  "
                  class="flex-fixed-size"
                  [attr.data-test-element-id]="'default-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.default' | translate
                  "
                  (click)="
                    displayDefaultDashboard($event, $extendHighLvlReqScope())
                  "
                >
                  <span>
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </span>
                </button>
              }
              <span class="m-l-10">
                <sqtm-core-filter-icon-menu
                  [isChecked]="$extendHighLvlReqScope()"
                  [checkBoxLabel]="
                    'sqtm-core.search.requirement.criteria.extended-scope.label'
                  "
                  [helpTooltip]="
                    'sqtm-core.requirement-workspace.statistics.extended-scope.tooltip'
                  "
                  (confirmEvent)="
                    changeExtendedScope(
                      $event,
                      componentData.requirementLibrary
                    )
                  "
                >
                </sqtm-core-filter-icon-menu>
              </span>
            </div>
          </ng-template>
          @if (componentData.requirementLibrary.statistics) {
            <sqtm-app-requirement-statistics-panel
              [statistics]="componentData.requirementLibrary.statistics"
              [scope]="this.getStatisticScope(componentData.requirementLibrary)"
              [milestoneModeData]="
                referentialDataService.milestoneModeData$ | async
              "
            >
            </sqtm-app-requirement-statistics-panel>
          }
          @if (componentData.requirementLibrary.dashboard) {
            <div style="height: 84vh">
              @if (
                componentData.requirementLibrary.dashboard.chartBindings
                  .length !== 0 ||
                componentData.requirementLibrary.dashboard.reportBindings
                  .length !== 0
              ) {
                <sqtm-app-custom-dashboard
                  [dashboardId]="componentData.requirementLibrary.dashboard.id"
                  [chartBindings]="
                    getChartBindings(componentData.requirementLibrary.dashboard)
                  "
                ></sqtm-app-custom-dashboard>
              } @else {
                <div style="height: 84vh; text-align: center">
                  <span style="font-weight: 600">
                    {{
                      'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                        | translate
                    }}
                  </span>
                </div>
              }
            </div>
          }
          @if (
            !componentData.requirementLibrary.dashboard &&
            !componentData.requirementLibrary.statistics
          ) {
            <div style="height: 84vh; text-align: center">
              <span style="font-weight: 600">
                {{
                  'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                    | translate
                }}
              </span>
            </div>
          }
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <div class="requirement-library-information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.entity.generic.description.label' | translate"
            >
            </sqtm-core-label>
            <sqtm-core-editable-rich-text
              [size]="'small'"
              [border]="true"
              [editable]="false"
              [sqtmCoreEntityViewEditableRichTextField]="'description'"
              [attr.data-test-field-id]="'description'"
              [placeholder]="
                'sqtm-core.generic.editable.description.placeholder' | translate
              "
            >
            </sqtm-core-editable-rich-text>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
